DragonPrime - LoGD Resource Community
Welcome Guest
  • Good morning, Guest.
    Please log in, or register.
  • November 19, 2018, 04:02:48 AM
Home Forums News Downloads Login Register Advanced Search
* * *
DragonPrime Menu
Login
 
 
Resource Pages
Search

Pages: [1]   Go Down
  Print  
Author Topic: Cannot Start Installation  (Read 5862 times)
0 Members and 1 Guest are viewing this topic.
zyberjock
Guest
« on: April 10, 2006, 12:16:07 AM »

Quote
Fatal error: Call to undefined function mysql_connect() in D:\lotgd-1.1.0\lib\dbwrapper.php on line 144

This error message always appear everytime i try to execute installer.php, any help will be greatly appreciated.

PHP 5, IIS, MySQL 5 is my system.
Logged
Talisman
Administrator
Mod God
*****
Offline Offline

Posts: 5479



View Profile WWW
« Reply #1 on: April 10, 2006, 12:29:05 AM »

Any particular reason why you're running under IIS?  The game will work, although there may be issues with php 5.0.

If you're running on a local machine, and you're not stuck on IIS, I'd recommend you download EasyPHP (linked from our link section) and use that to setup your apache/mysql/php hosting services.  Make sure you turn off/disable IIS before starting Apache!
Logged

Play the latest beta version here on DragonPrime
LeStath
Guest
« Reply #2 on: April 20, 2006, 01:31:25 PM »

i have the same problem but i hav no IIS
my server software is
Operating system:     Linux
Kernel version:    2.6.10-Grs-icn
Machine Type:    x86_64
Apache version:    1.3.34 (Unix)
PERL version:    5.8.7
PHP version:    4.4.1
MySQL version:    4.1.18-standard
Logged
Torne
SVN Users
Codemeister
*
Offline Offline

Posts: 259


Code ninja


View Profile
« Reply #3 on: April 20, 2006, 02:31:28 PM »

Did you install PHP from a package provided by your distribution, or compile it yourself? It's most likely that you are missing the mysql extension for PHP - it may be in a seperate package for dependency reasons, probably called "php-mysql". If you compiled PHP yourself then you likely neglected to specify the path to libmysqlclient during the compilation.

If none of that helps, what distribution do you use, and were your apache/php/mysql installed from standard packages, compiled yourself, or something else?
Logged
Talisman
Administrator
Mod God
*****
Offline Offline

Posts: 5479



View Profile WWW
« Reply #4 on: April 20, 2006, 02:34:13 PM »

In addition to Torne's suggestions, have you tried installing/using any other php/sql application to confirm whether the problem is with your setup or the game?
Logged

Play the latest beta version here on DragonPrime
LeStath
Guest
« Reply #5 on: April 21, 2006, 07:50:33 AM »

Did you install PHP from a package provided by your distribution, or compile it yourself? It's most likely that you are missing the mysql extension for PHP - it may be in a seperate package for dependency reasons, probably called "php-mysql". If you compiled PHP yourself then you likely neglected to specify the path to libmysqlclient during the compilation.

If none of that helps, what distribution do you use, and were your apache/php/mysql installed from standard packages, compiled yourself, or something else?
i've already installed a game like LoGD and a phpNuke site at the same package and it works
The package is provided by the host
Logged
Pages: [1]   Go Up
  Print  
 
Jump to:  


*
DragonPrime Notices
Welcome to DragonPrime - The LoGD Resource Community!

Support Us
No funds raised yet this year
Your help is greatly appreciated!
Recent Topics
DragonPrime LoGD
Who's Online
56 Guests, 0 Users
Home Forums News Downloads Login Register Advanced Search